Bug 190232 - Review Request: perl-Email-Simple - Simple parsing of RFC2822 message format and headers
Review Request: perl-Email-Simple - Simple parsing of RFC2822 message format ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-28 18:49 EDT by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-29 13:08:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-04-28 18:49:10 EDT
Spec URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Email-Simple.spec

SRPM URL:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-Email-Simple-1.92-1.src.rpm

Description:
"Email::Simple" is the first deliverable of the "Perl Email Project", a
reaction against the complexity and increasing bugginess of the
"Mail::*" modules. In contrast, "Email::*" modules are meant to be
simple to use and to maintain, pared to the bone, fast, minimal in their
external dependencies, and correct.

Note: Will be required by http://search.cpan.org/dist/HTTP-Recorder/
Comment 1 Jason Tibbitts 2006-04-28 20:30:47 EDT
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently, and
conforms to the Perl template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   e0ac39068afca5fa62f633a31a98f813  Email-Simple-1.92.tar.gz
   e0ac39068afca5fa62f633a31a98f813  Email-Simple-1.92.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directory it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=5, Tests=37,  0 wallclock secs ( 0.10 cusr +  0.04 csys =  0.14 CPU)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Jose Pedro Oliveira 2006-04-29 13:08:53 EDT
Thanks for the review.

Imported and built for FC-4, FC-5, and devel.

Note You need to log in before you can comment on or make changes to this bug.